Guest User

Untitled

a guest
Jan 14th, 2020
71
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Installing pylint...
  2. Adding pylint to Pipfile's [dev-packages]...
  3. ✔ Installation Succeeded
  4. Pipfile.lock (1edbb5) out of date, updating to (41acd4)...
  5. Locking [dev-packages] dependencies...
  6. ✔ Success!
  7. Locking [packages] dependencies...
  8. ✘ Locking Failed!
  9. Traceback (most recent call last):
  10.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/resolver.py", line 126, in <module>
  11.    main()
  12.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/resolver.py", line 119, in main
  13.    parsed.requirements_dir, parsed.packages)
  14.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/resolver.py", line 85, in _main
  15.    requirements_dir=requirements_dir,
  16.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/resolver.py", line 69, in resolve
  17.    req_dir=requirements_dir
  18.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/utils.py", line 726, in resolve_deps
  19.    req_dir=req_dir,
  20.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/utils.py", line 480, in actually_resolve_deps
  21.    resolved_tree = resolver.resolve()
  22.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/utils.py", line 385, in resolve
  23.    results = self.resolver.resolve(max_rounds=environments.PIPENV_MAX_ROUNDS)
  24.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/resolver.py", line 102, in resolve
  25.    has_changed, best_matches = self._resolve_one_round()
  26.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/resolver.py", line 206, in _resolve_one_round
  27.    for dep in self._iter_dependencies(best_match):
  28.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/resolver.py", line 301, in _iter_dependencies
  29.    dependencies = self.repository.get_dependencies(ireq)
  30.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/repositories/pypi.py", line 234, in get_dependencies
  31.    legacy_results = self.get_legacy_dependencies(ireq)
  32.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/repositories/pypi.py", line 426, in get_legacy_dependencies
  33.    results, ireq = self.resolve_reqs(download_dir, ireq, wheel_cache)
  34.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/repositories/pypi.py", line 297, in resolve_reqs
  35.    results = resolver._resolve_one(reqset, ireq)
  36.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/notpip/_internal/resolve.py", line 274, in _resolve_one
  37.    self.requires_python = check_dist_requires_python(dist, absorb=False)
  38.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/notpip/_internal/utils/packaging.py", line 62, in check_dist_requires_python
  39.    '.'.join(map(str, sys.version_info[:3])),)
  40. pipenv.patched.notpip._internal.exceptions.UnsupportedPythonVersion: Django requires Python '>=3.5' but the running Python is 2.7.17
  41. File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/resolver.py", line 126, in <module>
  42.    main()
  43.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/resolver.py", line 119, in main
  44.    parsed.requirements_dir, parsed.packages)
  45.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/resolver.py", line 85, in _main
  46.    requirements_dir=requirements_dir,
  47.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/resolver.py", line 69, in resolve
  48.    req_dir=requirements_dir
  49.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/utils.py", line 726, in resolve_deps
  50.    req_dir=req_dir,
  51.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/utils.py", line 480, in actually_resolve_deps
  52.    resolved_tree = resolver.resolve()
  53.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/utils.py", line 385, in resolve
  54.    results = self.resolver.resolve(max_rounds=environments.PIPENV_MAX_ROUNDS)
  55.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/resolver.py", line 102, in resolve
  56.    has_changed, best_matches = self._resolve_one_round()
  57.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/resolver.py", line 206, in _resolve_one_round
  58.    for dep in self._iter_dependencies(best_match):
  59.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/resolver.py", line 301, in _iter_dependencies
  60.    dependencies = self.repository.get_dependencies(ireq)
  61.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/repositories/pypi.py", line 234, in get_dependencies
  62.    legacy_results = self.get_legacy_dependencies(ireq)
  63.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/repositories/pypi.py", line 426, in get_legacy_dependencies
  64.    results, ireq = self.resolve_reqs(download_dir, ireq, wheel_cache)
  65.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/piptools/repositories/pypi.py", line 297, in resolve_reqs
  66.    results = resolver._resolve_one(reqset, ireq)
  67.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/notpip/_internal/resolve.py", line 274, in _resolve_one
  68.    self.requires_python = check_dist_requires_python(dist, absorb=False)
  69.  File "/home/sanvit/.local/lib/python2.7/site-packages/pipenv/patched/notpip/_internal/utils/packaging.py", line 62, in check_dist_requires_python
  70.    '.'.join(map(str, sys.version_info[:3])),)
  71. pipenv.patched.notpip._internal.exceptions.UnsupportedPythonVersion: Django requires Python '>=3.5' but the running Python is 2.7.17
RAW Paste Data